Bug 6004 - checking in an item that needs to be transferred home, and is on-hold for a patron, causes dual transfer message box
Summary: checking in an item that needs to be transferred home, and is on-hold for a p...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Kyle M Hall
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-30 13:05 UTC by D Ruth Bavousett
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.66 KB, patch)
2011-03-30 16:43 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description D Ruth Bavousett 2011-03-30 13:05:00 UTC
If an item is returned at other than its' home library, and there is a hold for it--at any library other than the return library--two prompts come up: one telling the user to send the item home, and the other, to confirm and transfer for the hold.  Only the latter should be displayed.

(Patch coming shortly; this is an easy one.)
Comment 1 Liz Rea 2011-03-30 16:43:00 UTC
Created attachment 3537 [details] [review]
Proposed patch

from druthb
Comment 2 Chris Cormack 2011-03-31 08:23:28 UTC
Patch pushd please test
Comment 3 MJ Ray (software.coop) 2011-04-05 14:19:01 UTC
This bug is mentioned in:
Bug 6004/3270: Sending things	"home" http://lists.koha-community.org/pipermail/koha-patches/2011-March/014361.html
Comment 4 Ian Walls 2011-04-22 21:14:28 UTC
The definition of $hbr is problematic in this patch

$hbr is defined as HomeOrHoldingBranchReturn, not uniformly homebranch, which is fine, set it to homebranch, and you're good to go, but if you're in IndependantBranches, that means you can't check the item back in at the library that issued it.  If you have it set to holdingbranch then you won't be prompted to transfer it to it's homebranch if you have AutoItemReturn set to yes; it'll just stay at the holdingbranch

Tere's no way in IndependantBranches to send the item home automatically
 if HomeOrHoldingBranchReturn = homebranch, you can't check it back in.
 if HomeOrHoldingBranchReturn = holdingbranch, it stays where it's returned

HomeOrHoldingBranchReturn is being used two different ways in AddReturn, once to define which branch the items is allowed to be returned to (in IndependantBranches mode) and the other to determine where it should go after return.
Comment 5 Jared Camins-Esakov 2012-12-31 00:16:18 UTC
There have been no further reports of problems so I am marking this bug resolved.